%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")

Summary: 	Network traffic analyzer
Name: 		wireshark
Version:	1.0.15
Release: 	EL3.1
License: 	GPL
Group: 		Applications/Internet
Source0:	http://wireshark.org/download/src/%{name}-%{version}.tar.bz2
Source1:	wireshark.pam
Source2:	wireshark.console
Source3:	wireshark.desktop
Patch3:		wireshark-nfsv4-opts.patch
Patch4: 	wireshark-0.99.7-path.patch
Patch5:		wireshark-1.0.11-gui-freeze.patch
Patch6:		wireshark-libtool-pie.patch
Patch7:		wireshark-1.0.11-no_issetugid.patch
Patch8:		wireshark-erf.patch
Patch9:		wireshark-1.0.11-pcapfix.patch
Url: 		http://www.wireshark.org/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: 	libpcap >= 0.6
BuildRequires: 	libpcap >= 0.6
BuildRequires: 	libsmi-devel
BuildRequires: 	zlib-devel, bzip2-devel
BuildRequires:  openssl-devel
BuildRequires:	glib2-devel, gtk2-devel
BuildRequires:  elfutils-devel, krb5-devel
BuildRequires:  python, pcre-devel
BuildRequires:  automake, libtool, bison, python, flex
Obsoletes:	ethereal
Provides:	ethereal


%package	gnome
Summary:	Gnome desktop integration for wireshark and wireshark-usermode
Group:		Applications/Internet
Requires: 	gtk2
Requires:	usermode >= 1.37
Requires:	wireshark = %{version}-%{release}
Requires: 	libsmi
Obsoletes:	ethereal-gnome
Provides:	ethereal-gnome


%description
Wireshark is a network traffic analyzer for Unix-ish operating systems.

This package lays base for libpcap, a packet capture and filtering 
library, contains command-line utilities, contains plugins and 
documentation for wireshark. A graphical user interface is packaged 
separately to GTK+ package.

%description gnome
Contains wireshark for Gnome 2 and desktop integration file


%prep
%setup -q -n %{name}-%{version}
%patch3 -p1 
%patch4 -p1
%patch5 -p1 -b .gui
%patch6 -p1 -b .pie
%patch7 -p1 -b .issetugid
%patch8 -p1 -b .erf
%patch9 -p1 -b .pcap

%build
%ifarch s390 s390x
export PIECFLAGS="-fPIE"
%else
export PIECFLAGS="-fpie"
%endif
# FC5+ automatic -fstack-protector-all switch
export RPM_OPT_FLAGS=${RPM_OPT_FLAGS//-fstack-protector/-fstack-protector-all}
export CFLAGS="$RPM_OPT_FLAGS $CPPFLAGS $PIECFLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS $CPPFLAGS $PIECFLAGS"
export LDFLAGS="$LDFLAGS -lm -lcrypto -pie"

#./autogen.sh
%configure \
   --bindir=%{_sbindir} \
   --enable-zlib \
   --enable-ipv6 \
   --with-libsmi \
   --with-gnu-ld \
   --disable-static \
   --disable-usr-local \
   --enable-gtk2 \
   --with-pic \
   --with-ssl \
   --disable-warnings-as-errors \
   --with-plugindir=%{_libdir}/%{name}/plugins/%{version}
make 

%install
rm -rf $RPM_BUILD_ROOT

# The evil plugins hack
perl -pi -e 's|-L../../epan|-L../../epan/.libs|' plugins/*/*.la

make DESTDIR=$RPM_BUILD_ROOT install

#symlink tshark to tethereal
ln -s tshark $RPM_BUILD_ROOT%{_sbindir}/tethereal

#empty?!
rm -f $RPM_BUILD_ROOT%{_sbindir}/idl2wrs

# install support files for usermode, gnome and kde
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d/wireshark
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/security/console.apps
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/%{_sysconfdir}/security/console.apps/wireshark
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
ln -s consolehelper $RPM_BUILD_ROOT/%{_bindir}/wireshark

# install man
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 644 *.1 $RPM_BUILD_ROOT/%{_mandir}/man1

# Install python stuff.
mkdir -p $RPM_BUILD_ROOT%{python_sitelib}
install -m 644 tools/wireshark_be.py tools/wireshark_gen.py  $RPM_BUILD_ROOT%{python_sitelib}

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/%{_datadir}/applications/net-wireshark.desktop

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/pixmaps
install -m 644 image/wsicon48.png $RPM_BUILD_ROOT/%{_datadir}/pixmaps/wireshark.png


# Remove .la files
rm -f $RPM_BUILD_ROOT/%{_libdir}/%{name}/plugins/%{version}/*.la

# Remove .la files in libdir
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README* 
%{_sbindir}/editcap
#%{_sbindir}/idl2wrs
%{_sbindir}/tshark
%{_sbindir}/mergecap
%{_sbindir}/text2pcap
%{_sbindir}/dftest
%{_sbindir}/capinfos
%{_sbindir}/randpkt
%{_sbindir}/dumpcap
%{_sbindir}/tethereal
%{_sbindir}/rawshark
%{python_sitelib}/*
%{_libdir}/lib*
%{_mandir}/man1/editcap.*
%{_mandir}/man1/tshark.*
%{_mandir}/man1/idl2wrs.*
%{_mandir}/man1/mergecap.*
%{_mandir}/man1/text2pcap.*
%{_mandir}/man1/capinfos.*
%{_mandir}/man1/dumpcap.*
%{_mandir}/man1/rawshark.*
%{_mandir}/man4/wireshark-filter.*
%{_libdir}/wireshark
%config(noreplace) %{_sysconfdir}/pam.d/wireshark
%config(noreplace) %{_sysconfdir}/security/console.apps/wireshark
%{_datadir}/wireshark

%files gnome
%defattr(-,root,root)
%{_datadir}/applications/net-wireshark.desktop
%{_datadir}/pixmaps/wireshark.png
%{_bindir}/wireshark
%{_sbindir}/wireshark
%{_mandir}/man1/wireshark.*


%changelog
* Mon Aug  2 2010 Jan Safranek <jsafrane@redhat.com> 1.0.15-EL3.1
- upgrade to 1.0.15
- http://www.wireshark.org/docs/relnotes/wireshark-1.0.15.html
- fixes CVE-2010-2287 CVE-2010-2284
- Related: #612236

* Wed Jul 28 2010 Jan Safranek <jsafrane@redhat.com> 1.0.14-EL3.2
- fix corner case in CVE-2010-2284
- Related: #612236

* Thu Jul  8 2010 Jan Safranek <jsafrane@redhat.com> 1.0.14-EL3.1
- upgrade to 1.0.14
- http://www.wireshark.org/docs/relnotes/wireshark-1.0.14.html
- fixes CVE-2010-1455 CVE-2010-2283 CVE-2010-2284 CVE-2010-2286 CVE-2010-2287
- Resolves: #612236

* Wed Apr 14 2010 Radek Vokal <rvokal@redhat.com> 1.0.11-EL3.6
- fix pcap relocation errors
- turn on pie again

* Fri Apr  9 2010 Radek Vokal <rvokal@redhat.com> 1.0.11-EL3.5
- relocation doesn't work with libpcap, pie got removed again 

* Tue Apr  6 2010 Radek Vokal <rvokal@redhat.com> 1.0.11-EL3.4
- remove smp flags (prevents issues with docs generating)
- erf overflow patch

* Thu Apr  1 2010 Radek Vokal <rvokal@redhat.com> 1.0.11-EL3.3
- replace issetugid()

* Thu Apr  1 2010 Radek Vokal <rvokal@redhat.com> 1.0.11-EL3.2
- fix gui freeze
- bring back pie

* Wed Mar  3 2010 Radek Vokal <rvokal@redhat.com> 1.0.11-EL3.1
- upgrade to 1.0.11
- http://www.wireshark.org/docs/relnotes/wireshark-1.0.11.html
- fixes CVE-2009-4377 and CVE-2009-2563
- Resolves: #561099

* Mon May 25 2009 Radek Vokal <rvokal@redhat.com> 1.0.8-EL3.1
- upgrade to 1.0.8
- Resolves: #501947

* Mon Feb 23 2009 Radek Vokal <rvokal@redhat.com> 1.0.6-1
- various security flaws fixed
- upgrade to 1.0.6
- Resolves: #486548

* Wed Sep 24 2008 Radek Vokál <rvokal@redhat.com> 1.0.3-3
- remove pam timestamp

* Fri Sep 12 2008 Radek Vokál <rvokal@redhat.com> 1.0.3-2
- fix pie flags
- Resolves: #461566

* Wed Sep 10 2008 Radek Vokál <rvokal@redhat.com> 1.0.3-1
- upgrade to 1.0.3
- fixes several security issues
- Resolves: #461566

* Mon Jan  7 2008 Radek Vokál <rvokal@redhat.com> 0.99.7-1
- upgrade to 0.99.7
- switch to libsmi from net-snmp
- disable ADNS due to its lack of Ipv6 support
- Resolves: #397431

* Mon Jul  9 2007 Radek Vokál <rvokal@redhat.com> 0.99.6-1
- upgrade to 0.99.6
- Wireshark could crash when dissecting an HTTP chunked response
- Wireshark could crash while reading iSeries capture files
- Wireshark could exhaust system memory while reading a
  malformed DCP ETSI packet
- Wireshark could loop excessively while reading a malformed SSL packet
- Resolves: #247618

* Mon Feb  5 2007 Radek Vokál <rvokal@redhat.com> 0.99.5-1
- multiple security issues fixed (#225689)
- CVE-2007-0459 - The TCP dissector could hang or crash while reassembling HTTP packets
- CVE-2007-0459 - The HTTP dissector could crash.
- CVE-2007-0457 - On some systems, the IEEE 802.11 dissector could crash.
- CVE-2007-0456 - On some systems, the LLT dissector could crash.

* Wed Nov  1 2006 Radek Vokál <rvokal@redhat.com> 0.99.4-1
- upgrade to 0.99.4, fixes multiple security issues (#211993)
- CVE-2006-5468 - The HTTP dissector could dereference a null pointer.
- CVE-2006-5469 - The WBXML dissector could crash.
- CVE-2006-5470 - The LDAP dissector (and possibly others) could crash.
- CVE-2006-4805 - Basic DoS, The XOT dissector could attempt to allocate a large amount of memory and crash.
- CVE-2006-4574 - Single byte \0 overflow written onto the heap


* Fri Aug 25 2006 Radek Vokal <rvokal@redhat.com> 0.99.3-EL3.2
- fix pam file, revert to old ethereal file (#204066)

* Fri Aug 25 2006 Radek Vokal <rvokal@redhat.com> 0.99.3-EL3.1
- upgrade to 0.99.3
- CVE-2006-4330 Wireshark security issues (CVE-2006-4333 CVE-2006-4332 CVE-2006-4331) (#204045)

* Fri Jul 21 2006 Radek Vokal <rvokal@redhat.com> 0.99.2-EL3.1
- build for RHEL3

* Tue Jul 18 2006 Radek Vokál <rvokal@redhat.com> 0.99.2-1
- upgrade to 0.99.2

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.99.2-0.pre1.1
- rebuild

* Tue Jul 11 2006 Radek Vokál <rvokal@redhat.com> 0.99.2-0.pre1
- upgrade to 0.99.2pre1, fixes (#198242)

* Tue Jun 13 2006 Radek Vokal <rvokal@redhat.com> 0.99.1-0.pre1
- spec file changes

* Fri Jun  9 2006 Radek Vokal <rvokal@redhat.com> 0.99.1pre1-1
- initial build for Fedora Core
